import { GestureController } from '../../gestures/gesture-controller';
import { NavController } from './nav-controller';
import { SlideData } from '../../gestures/slide-gesture';
import { SlideEdgeGesture } from '../../gestures/slide-edge-gesture';
export declare class SwipeBackGesture extends SlideEdgeGesture {
    private _nav;
    constructor(element: HTMLElement, options: any, _nav: NavController, gestureCtlr: GestureController);
    canStart(ev: any): boolean;
    onSlideBeforeStart(slideData: SlideData, ev: any): void;
    onSlide(slide: SlideData): void;
    onSlideEnd(slide: SlideData, ev: any): void;
}
